Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Class JaxenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException
                  org.jaxen.JaxenException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FunctionCallException, UnresolvableException, UnsupportedAxisException, XPathSyntaxException

public class JaxenException
extends SAXPathException

Generic Jaxen exception.

This is the root of all Jaxen exceptions. It may wrap other exceptions.

Author:
  bob mcwhirter
See Also:
  Serialized Form

Constructor Summary
`JaxenException(String message)` Create an exception with a detail message.
`JaxenException(String message, Throwable nestedException)` Create a new JaxenException with the specified detail message and root cause.
`JaxenException(Throwable rootCause)` Create an exception caused by another exception.

Methods inherited from class org.jaxen.saxpath.SAXPathException
`getCause, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaxenException

    public JaxenException(String message)

  Create an exception with a detail message.

Parameters:
  `message` - the error message

### JaxenException

    public JaxenException(Throwable rootCause)

  Create an exception caused by another exception.

Parameters:
  `rootCause` - the root cause of this exception

### JaxenException

    public JaxenException(String message,
                          Throwable nestedException)

  Create a new JaxenException with the specified detail message and root cause.

Parameters:
  `message` - the detail message
  `nestedException` - the cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.